/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


$(function(){
    
    var regexp = /^\d{1,7}$/;
    
    // 郵便番号データAJAX通信処理
    var getPostalAddr = function (code) {
        
        
        var def = $.Deferred();
        
        // ローディング画像の開始
        $("#loader").show();

        $.ajax({
            url         :   '/ajax/get-addr',
            dataType    :   'json',
            data        :   'code=' + code,
            type        :   'GET',
            cache       :   false

        }).done(function(json){
                console.log(json);
                $("select[name='pref'] option").attr("selected", false);
                $("select[name='pref'] option[value="+json.pref_id+"]").attr("selected", true);
                $(":input[name='address1']").val(json.address);
                
                def.resolve();

        }).fail(function(){
            $("#loader").hide();
        }).always(function(){
            $("#loader").hide();
        });
    
        $(":input[name=address1]").css('background', '#fff');
        $(":input[name=pref]").css('background', '#fff');
        
        return def.promise();
    }
    
    var code = "";
    
    $(":input[name='postal_code']").keyup(function(){
        code   = $(":input[name='postal_code']").val();
        code = code.replace('-', '');
        if(regexp.test(code) && code.length  === 7) {
            getPostalAddr(code).done(function(){
                // 住所などの必要項目が変更されたら、ローディング画像を閉じる
                $("#loader").hide();
            });
        }
    })
})

