//商品を選択した時
$(function() {
    $('#easybuy_value').change(function() {
        changeMailPost();
    });
    
    var item_id = $("#easybuy_value option:selected").attr("item_id");
    
    if(item_id != ""){
        changeMailPost();
    }
    
});


//メール便のとき希望日・時間帯選択を不可にする処理
var changeMailPost = function() {
    var item_id = $("#easybuy_value option:selected").attr("item_id");
    var df = $.Deferred();

    $.ajax({
        url:'/ajax/mail_post',
        dataType: 'json',
        type:"POST",
        data: {
            mail_post_item_id:item_id
        },
        cache:false,
        success : function(json){
             if(json){
                 if(json['mail_post_flag'] == 1){
                     $(':input[name=delivery_date]').attr("disabled","disabled");
                     $(':input[name=delivery_hour]').attr("disabled","disabled");
                     $(":input[name=delivery_hour] option").attr("selected", false);
                 }else{
                     $(':input[name=delivery_date]').removeAttr("disabled");
                     $(':input[name=delivery_hour]').removeAttr("disabled");
                 }
             }

             df.resolve();
        }
    })
    return df.promise();

};